import App from './App'

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'

/**  uview 使用配置  */
// main.js，注意要在use方法之后执行
import uView from '@/uni_modules/uview-ui'
Vue.use(uView)

/** vuex 状态管理 */
import store from '@/store';

// 引入uView提供的对vuex的简写法文件
let vuexStore = require('@/store/$u.mixin.js');
Vue.mixin(vuexStore);

import { commonConfig } from './common/config';
Vue.prototype.$commonConfig = commonConfig;

Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
  ...App,
  store
})

// 引入请求封装，将app参数传递到配置中
require('./common/request.js')(app)
// http接口API抽离，免于写url或者一些固定的参数
import httpApi from '@/common/http.api.js';
Vue.use(httpApi, app);

app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif